C******************************************************************************
	PROGRAM AKCOUNT
C******************************************************************************
C AKCOUNT.FOR
C
C  written by:  M. Serrer
C  date:        March 1984
C
	INCLUDE 'AK.INC/NOLIST'
C
C_Open all files
C
	OPEN(UNIT=UAF_FIL,NAME='SYS$SYSTEM:SYSUAF.LIS',STATUS='OLD')
	OPEN(UNIT=DSK_FIL,NAME='SYS$SYSTEM:DSKUSG.LIS',STATUS='OLD')
	OPEN(UNIT=RAW_FIL,NAME='SYS$ACCOUNT:ACCOUNTNG.OLD',STATUS='OLD')
C
C_Translate PRIME time symbols
C
	CALL AK$TRN_TIM(ISTAT)
C
C_Get USERNAME's, UIC's and ACCOUNT names from SYSUAF.DAT
C
	CALL AK$SYS_UAF(ISTAT)
C
C_Extract information out of the VMS accounting file  ACCOUNTNG.OLD
C
	CALL AK$GET_REC(ISTAT)
C
C_Get DISK usage information
C
	CALL AK$DSK_USG(ISTAT)
C
C_Save condensed accounting information in new file  AKCOUNT.TOT
C
	CALL AK$TOTALS(ISTAT)
C
C_Close all files and dispose of each of them accordingly
C
	CLOSE(UNIT=UAF_FIL,DISPOSE='DELETE')
	CLOSE(UNIT=DSK_FIL,DISPOSE='DELETE')
	CLOSE(UNIT=RAW_FIL,DISPOSE='KEEP')
C
	END
